//  @ Project : TestOnline
//  @ File Name : TestRecorder.cs
//  @ Date : 2009-3-12
//  @ Author : ruimingde
using System;
using System.Collections.Generic;
using System.Text;

namespace Entity
{
    public class TestMark
    {
        private int markID;

        public int MarkID
        {
            get { return markID; }
            set { markID = value; }
        }
        private TestRecorder testRecorder=new TestRecorder();

        public TestRecorder TestRecorder
        {
            get { return testRecorder; }
            set { testRecorder = value; }
        }
        private ushort totalScore =0;

        public ushort TotalScore
        {
            get { return totalScore; }
            set { totalScore = value; }
        }
        private bool hasPassed = false;

        public bool HasPassed
        {
            get { return hasPassed; }
            set { hasPassed = value; }
        }
        private string remark = "µÃ·Ö²Ý¸åÇø";

        public string Remark
        {
            get { return remark; }
            set { remark = value; }
        }
        private User marker=new User();

        public User Marker
        {
            get { return marker; }
            set { marker = value; }
        }
        private DateTime markedTime=DateTime.Now;

        public DateTime MarkedTime
        {
            get { return markedTime; }
            set { markedTime = value; }
        }
       
    }
}
